Skip to main content
GET
List Branch Files

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
branchName
string
required

Branch name

Query Parameters

pattern
string
Maximum string length: 200
cursor
string
limit
number
default:100
Required range: 1 <= x <= 100
sort_by
enum<string>
default:updated_at
Available options:
path,
updated_at
sort_order
enum<string>
default:desc
Available options:
asc,
desc
include_server_functions
enum<string>
Available options:
true,
false
fields
string

Sparse fieldset filter per Zalando #157. Examples: (id,name), (id,files(path)), !(content)

Pattern: ^!?\([^)]*\)$
Example:

"(id,path,type,size)"

Response

Files from the branch (supports sparse fieldsets per Zalando #157)

data
object[]
required
page_info
object
required

Pagination cursor values for traversing the result set.